#
# spec file for package intel-i40e (Version 1.3.49)
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://support.novell.com
#

Name:           intel-i40e
Summary:        Driver for the Intel(R) XL710 Ethernet Controller Family
Version:        1.3.49
Release:        2.1
Source0:        i40e-%{version}.tar.bz2
Source1:        preamble
License:        GPL-2.0
Group:          System/Kernel
BuildRequires:  %kernel_module_package_buildreqs
BuildRequires:  pciutils-ids
Requires:       pciutils-ids
Url:            http://sourceforge.net/projects/e1000/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%kernel_module_package -p %_sourcedir/preamble

%description
This package contains the Linux driver for the Intel(R) Ethernet Connection XL710 Family of devices.

More specific information on configuring the driver is in
/usr/share/doc/packages/intel-i40e/README

The driver is delivered in multiple binary packages.
The 'intel-i40e' base package provides the common driver documentation, and
updates to the pciutils pci-ids database. The 'intel-i40e-kmp-<flavor>'
sub-packages provide the kernel modules for the specific kernel flavors.


%package KMP
Summary:     Driver for the Intel(R) XL710 Ethernet Controller Family
Group:       System/Kernel

%description KMP
This package contains the Linux driver for the Intel(R) Ethernet Connection XL710 Family of devices.

More specific information on configuring the driver is in
/usr/share/doc/packages/intel-i40e/README

This sub-package provides the kernel module(s) for the specific kernel flavor as
indicated by the 'intel-i40e-kmp-<flavor>' package name. Driver documentation and
updates to the pciutils pci-ids database are provided by the 'intel-i40e' base
package.


%prep
%setup -n i40e-%{version}
set -- *
mv src source
echo "i40e.ko external" > source/Module.supported
# We don't use the toplevel Makefile
mv source/Makefile source/Makefile.intel
# Move sources to base source directory
mv source/i40e/* source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
        M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=%{kernel_module_package_moddir %name}
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done
mkdir -p $RPM_BUILD_ROOT/usr/share/pci.ids.d
install -D -m 644 pci.updates $RPM_BUILD_ROOT/usr/share/pci.ids.d/pci.ids.%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man7
install -m 644 -D i40e.7 $RPM_BUILD_ROOT/%{_mandir}/man7
gzip -9nf $RPM_BUILD_ROOT/%{_mandir}/man?/*.?

chmod -x COPYING README

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_mandir}/man7/i40e.7.gz
/usr/share/pci.ids.d/pci.ids.%{name}-%{version}
%doc COPYING 
%doc README

%post 
if [ -x /usr/bin/merge-pciids -a -x /usr/bin/perl ]; then
  /usr/bin/merge-pciids
else
  echo "ERROR: merge-pciids or perl not found"
fi

%postun
if [ -x /usr/bin/merge-pciids -a -x /usr/bin/perl ]; then
  /usr/bin/merge-pciids
else
  echo "ERROR: merge-pciids or perl not found"
fi
%changelog
* Wed Dec 16 2015 sbahling@suse.com
- Initial SUSE PLDP build of automatic source pullfrom e1000.sf.net
  Pulled from http://heanet.dl.sourceforge.net/project/e1000//i40e%%20stable/1.3.49/i40e-1.3.49.tar.gz
- Release README:
  changelog for i40e-1.3.49
  * Fix bug in VSI filter sync function that was causing unexpected resets
  * Clean descriptor before use in NVM update
  changelog for i40e 1.3.47
  * Fix bug where driver deadlocks when adding/removing vlan over bond
  changelog for i40e 1.3.46
  * Default to VEPA bridge mode
  * Prevent VFs from sending flow control frames
  * Make the flow control status after a PF reset more consistent
  * Fix a compile problem on RHEL 7.2
  * Fix using a VLAN inside VXLAN
  * Fix an IRQ Safe->IRQ Unsafe warning
